## nessus-plugins 0.99.4

=== Makefile ===
include nessus.tmpl

all : mkplugins

mkplugins :
	cd plugins && ./make_world
	
clean : 
	cd plugins && ./make_world clean

install : all
	$(INSTALL_DIR) -m 755 ${libdir}/nessus
	$(INSTALL_DIR) -m 755 ${libdir}/nessus/plugins

	for scripts in scripts/*.nasl; do \
	$(INSTALL) -o root -m 444 $$scripts ${libdir}/nessus/plugins; \
	done
	
	for plugins in bin/*.nes; do \
	$(INSTALL) -o root -m 444 $$plugins ${libdir}/nessus/plugins; \
	done
	
	$(INSTALL_DIR) -m 755 ${libdir}/nessus/plugins_factory
	$(INSTALL) -m 444 pf/Makefile ${libdir}/nessus/plugins_factory/
	$(INSTALL) -m 444 libtool ${libdir}/nessus/plugins_factory/
	$(INSTALL) -m 444 nessus.tmpl ${libdir}/nessus/plugins_factory/
	test -d ${prefix}/bin || $(INSTALL_DIR) -m 755 ${prefix}/bin
	$(INSTALL) -m 755 pf/nessus-build ${prefix}/bin/
	
	test -d ${sysconfdir}/nessus || $(INSTALL_DIR) -m 755 ${sysconfdir}/nessus
	
	$(INSTALL) -m 444 plugins/queso/queso.conf ${sysconfdir}/nessus/
	
	$(INSTALL) -m 444 plugins/accounts/accounts.txt ${sysconfdir}/nessus/
	
	test -d ${mandir}/man1 || $(INSTALL_DIR) -m 755 ${mandir}/man1
	$(INSTALL) -m 644 pf/nessus-build.1 ${mandir}/man1

distclean : clean
	rm -f libtool config.cache config.status config.log nessus.tmpl
	rm -f bin/*.nes pf/nessus-build plugins/queso/queso.h

=== plugins/accounts/Makefile ===
include ../../nessus.tmpl

PLUGNAME=accounts

all : $(PLUGNAME).nes read_accounts.o

LO_OBJS = read_accounts.lo network.lo $(PLUGNAME).lo

network.lo : network.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c network.c
	
read_accounts.lo : read_accounts.h
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c read_accounts.c

accounts.lo : accounts.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  accounts.c	
	
	
accounts.nes : $(LO_OBJS)
	$(LIBTOOL) $(CC) $(DEFS) -o libaccounts.la $(LO_OBJS) $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug accounts $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o accounts.h

=== plugins/nfs_world_export/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nfs_world_export

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c showmount_funcs.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  showmount_funcs.c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo showmount_funcs.lo \
        $(LIBS) -rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/queso/Makefile ===
include ../../nessus.tmpl

PLUGNAME=queso

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  tcpip.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  queso_orig.c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo tcpip.lo \
	queso_orig.lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)


clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

## nessus-plugins 1.0.10

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,23 @@
 clean : 
 	cd plugins && ./make_world clean
 
-install : all
+install-updater :
+	test -d ${sbindir} || $(INSTALL_DIR) -m 755 ${sbindir}
+	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins ${sbindir}/
+	@test -d ${mandir}/man8 || $(INSTALL_DIR) ${mandir}/man8
+	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins.8 ${mandir}/man8
+	
+	
+install : all $(INSTALL_UPDATER)
 	$(INSTALL_DIR) -m 755 ${libdir}/nessus
 	$(INSTALL_DIR) -m 755 ${libdir}/nessus/plugins
 
 	for scripts in scripts/*.nasl; do \
-	$(INSTALL) -o root -m 444 $$scripts ${libdir}/nessus/plugins; \
+	$(INSTALL) -o $(installuser) -m 444 $$scripts ${libdir}/nessus/plugins; \
 	done
 	
 	for plugins in bin/*.nes; do \
-	$(INSTALL) -o root -m 444 $$plugins ${libdir}/nessus/plugins; \
+	$(INSTALL) -o $(installuser) -m 555 $$plugins ${libdir}/nessus/plugins; \
 	done
 	
 	$(INSTALL_DIR) -m 755 ${libdir}/nessus/plugins_factory
@@ -37,5 +44,6 @@
 	$(INSTALL) -m 644 pf/nessus-build.1 ${mandir}/man1
 
 distclean : clean
-	rm -f libtool config.cache config.status config.log nessus.tmpl
+	rm -f libtool config.cache config.status config.log nessus.tmpl nessus-update-plugins
 	rm -f bin/*.nes pf/nessus-build plugins/queso/queso.h
+

=== plugins/accounts/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	$(LIBTOOL) $(CC) $(DEFS) $(include) -c read_accounts.c
 
 accounts.lo : accounts.c
-	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  accounts.c	
+	$(LIBTOOL) $(CC) $(DEFS) $(include) -DCONFIGDIR=\"${sysconfdir}\" -c  accounts.c	
 	
 	
 accounts.nes : $(LO_OBJS)
@@ -22,4 +22,4 @@
 	../install_plug accounts $(rootdir)
 clean :
 	@rm -fr *.lo *.nes *.la .libs
-	@rm -fr *.o accounts.h
+	@rm -fr *.o

=== plugins/bind_bof/Makefile ===
include ../../nessus.tmpl

PLUGNAME=bind_bof

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/find_service/Makefile ===
include ../../nessus.tmpl

PLUGNAME=find_service

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/ftp_bounce_scan/Makefile ===
include ../../nessus.tmpl

PLUGNAME=ftp_bounce_scan

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo  \
	$(LIBS) -rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/ftp_write_dirs/Makefile ===
include ../../nessus.tmpl

PLUGNAME=ftp_write_dirs

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/linux_tftp/Makefile ===
include ../../nessus.tmpl

PLUGNAME=linux_tftp

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/nmap_tcp_connect/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nmap_tcp_connect

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/nmap_wrapper/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nmap_wrapper

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c nmap_installed
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) $(LIBUTIL) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o
	@rm -f nmap.h nmap_installed

=== plugins/objectserver/Makefile ===
include ../../nessus.tmpl

PLUGNAME=objectserver

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/queso/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 all : $(PLUGNAME).nes
 $(PLUGNAME).nes : $(PLUGNAME).c
-	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
+	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  -DCONFDIR=\"${sysconfdir}\" $(PLUGNAME).c
 	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  tcpip.c
 	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  queso_orig.c
 	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo tcpip.lo \

=== plugins/smad/Makefile ===
include ../../nessus.tmpl

PLUGNAME=smad

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

## nessus-plugins 2.2.3

=== plugins/3com_hub/Makefile ===
include ../../nessus.tmpl

PLUGNAME=3com_hub

all : $(PLUGNAME).nes
	
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include)  -I/usr/local/include `libnet-config --defines --cflags` -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo `libnet-config --defines --libs` -L/usr/local/lib $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/hydra/Makefile ===
include ../../nessus.tmpl

PLUGNAME=hydra

all : $(PLUGNAME).nes 

LO_OBJS = d3des.lo hydra4nessus.lo hydra-cisco.lo \
	hydra-ftp.lo hydra-http.lo hydra-icq.lo \
	hydra-imap.lo hydra-mod.lo hydra-nntp.lo \
	hydra-pcnfs.lo hydra-pop3.lo hydra-rexec.lo hydra-smb.lo \
	hydra-ldap.lo hydra-cisco-enable.lo \
	hydra-socks5.lo hydra-telnet.lo hydra-vnc.lo hydra.lo


d3des.lo : d3des.c 
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c d3des.c
	
hydra4nessus.lo : hydra4nessus.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra4nessus.c
	
hydra.lo : hydra.c
	$(LIBTOOL) $(CC) $(DEFS) -DNESSUS_PLUGIN $(include) -c hydra.c	
  	
hydra-cisco.lo : hydra-cisco.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-cisco.c
	
hydra-ftp.lo : hydra-ftp.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-ftp.c
	
hydra-http.lo : hydra-http.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-http.c	
			
hydra-icq.lo : hydra-icq.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-icq.c
	
hydra-imap.lo : hydra-imap.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-imap.c
	
hydra-mod.lo : hydra-mod.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-mod.c
	
hydra-nntp.lo : hydra-nntp.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-nntp.c			
				
hydra-pcnfs.lo : hydra-pcnfs.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-pcnfs.c
	
hydra-pop3.lo : hydra-pop3.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-pop3.c	
					
hydra-rexec.lo : hydra-rexec.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-rexec.c	
	
hydra-smb.lo : hydra-smb.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-smb.c
	
hydra-socks5.lo : hydra-socks5.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-socks5.c	
	
hydra-telnet.lo : hydra-telnet.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-telnet.c	
	
hydra-vnc.lo : hydra-vnc.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-vnc.c	
	
hydra-ldap.lo : hydra-ldap.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-ldap.c

hydra-cisco-enable.lo : hydra-cisco-enable.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c hydra-cisco-enable.c
								
hydra.nes : $(LO_OBJS)
	$(LIBTOOL) $(CC) $(DEFS) -o libhydra.la $(LO_OBJS) $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug hydra $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/nessus_tcp_scanner/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nessus_tcp_scanner

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c 
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) $(LIBUTIL) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/nikto_wrapper/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nikto_wrapper

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	$(LIBUTIL) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/nmap_wrapper/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nmap_wrapper

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c 
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) $(LIBUTIL) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

=== plugins/snmp_portscan/Makefile ===
include ../../nessus.tmpl

PLUGNAME=snmp_portscan

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	$(LIBUTIL) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

## nessus-plugins 2.2.4

=== plugins/hydra/Makefile ===
include ../../nessus.tmpl

PLUGNAME=hydra4nessus

all : hydra.nes
hydra.nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o libhydra.la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug hydra $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

## nessus-plugins 2.2.8-1

=== Makefile ===
include nessus.tmpl

all : mkplugins

mkplugins :
	cd plugins && ./make_world
	
clean : 
	cd plugins && ./make_world clean

install-updater :
	test -d $(DESTDIR)${sbindir} || $(INSTALL_DIR) -m 755 $(DESTDIR)${sbindir}
	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins \
		$(DESTDIR)${sbindir}
	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins-gpl \
		$(DESTDIR)${sbindir}
	@test -d $(DESTDIR)${mandir}/man8 || $(INSTALL_DIR) $(DESTDIR)${mandir}/man8
	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins.8 \
		$(DESTDIR)${mandir}/man8
	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins-gpl.8 \
		$(DESTDIR)${mandir}/man8

install-dirs:
	test -d $(DESTDIR)${libdir}/nessus || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/nessus
	test -d $(DESTDIR)${libdir}/nessus/plugins || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${libdir}/nessus/plugins
	
install-nasl:	install-dirs
	for scripts in scripts/*.nasl; do \
	$(INSTALL) -o $(installuser) -m 444 $$scripts \
		$(DESTDIR)${libdir}/nessus/plugins; \
	done

install-inc: install-dirs
	for scripts in scripts/*.inc; do \
	$(INSTALL) -o $(installuser) -m 444 $$scripts \
		$(DESTDIR)${libdir}/nessus/plugins; \
	done

install-nes: install-dirs
	for plugins in bin/*.nes; do \
	$(INSTALL) -o $(installuser) -m 555 $$plugins \
		$(DESTDIR)${libdir}/nessus/plugins; \
	done

install-conf:
	test -d $(DESTDIR)${localstatedir}/nessus || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${localstatedir}/nessus

install-man:
	test -d $(DESTDIR)${mandir}/man1 || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${mandir}/man1
	$(INSTALL) -m 644 pf/nessus-build.1 $(DESTDIR)${mandir}/man1

install : all \
	install-dirs install-nasl install-inc install-nes \
	install-man install-conf $(INSTALL_UPDATER) 
	
	$(INSTALL_DIR) -m 755 $(DESTDIR)${libdir}/nessus/plugins_factory
	$(INSTALL) -m 444 pf/Makefile $(DESTDIR)${libdir}/nessus/plugins_factory
	$(INSTALL) -m 444 libtool $(DESTDIR)${libdir}/nessus/plugins_factory
	$(INSTALL) -m 444 nessus.tmpl $(DESTDIR)${libdir}/nessus/plugins_factory
	test -d $(DESTDIR)${prefix}/bin || $(INSTALL_DIR) -m 755 \
		$(DESTDIR)${prefix}/bin
	$(INSTALL) -m 755 pf/nessus-build $(DESTDIR)${prefix}/bin/

distclean : clean
	rm -f libtool config.cache config.status config.log nessus.tmpl nessus-update-plugins
	rm -f bin/*.nes pf/nessus-build

=== debian/changelog ===
nessus-plugins (2.2.8-1) unstable; urgency=low

  * New upstream release

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  6 Jun 2006 01:06:40 +0200

nessus-plugins (2.2.7-1) unstable; urgency=low

  * New upstream release
  * Restore ~1700 GPL plugins which were removed from the GPL feed 
    but were available in previous releases. Most of the plugins were
    copyrighted by Noam Rathaus or are related to the Debian or Gentoo
    local security checks based on their advisories. Some of them
    were rewritten by Tenable between the 2.2.3 and 2.2.5 release and 
    were moved into the non-free feed. This release includes the GPL
    plugins (previous to them being rewritten)
  * Remove the following plugins as they include files not available in the
    GPL feed: poptop_negative_read.nasl, smb_nt_ms02-006.nasl,
    smb_xp_ms01-059.nasl.
  * Fix typo in postrm (Closes: #337532)
  * Added Swedish Debconf translation provided by Daniel Nylander (Closes: #330553)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 11 Mar 2006 20:59:00 +0100

nessus-plugins (2.2.5-7) unstable; urgency=low

  * Recompile to use libssl0.9.8

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 28 Dec 2005 12:03:02 +0100

nessus-plugins (2.2.5-6) unstable; urgency=low

  * Ammend the nessus-update-plugins-gpl manpage as it was not current.
  * Update describe-nessus-plugins to version 2.22 (27th september 2005)
  * Updated the FSF address in debian/copyright

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 17 Oct 2005 15:48:30 +0200

nessus-plugins (2.2.5-5) unstable; urgency=low

  * Recommend wget _and_ nessusd (not nessus) since the later provides the
    nessus-fetch package.
  * Added a hint to nessus-update-plugins to tip users into the installation
    of nessusd if nessus-fetch is not found.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 27 Sep 2005 18:14:19 +0200

nessus-plugins (2.2.5-4) unstable; urgency=low

  * Describe in debian/README.rebuild.Debian how you can rebuild
    all the Nessus packages if you want to use the sources downloaded
    from nessus.org (since Ron Gula says that not doing it and 
    using Tenable's registered plugin feed is in violation of the license)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  2 Sep 2005 01:03:45 +0200

nessus-plugins (2.2.5-3) unstable; urgency=low

   * Add Dependency on "debconf | debconf-2.0" as requested by Joey Hess

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 31 Aug 2005 23:32:08 +0200

nessus-plugins (2.2.5-2) unstable; urgency=low

  * Proper build (not as a Debian-specific package)  (Closes: #322366)
  * Added debconf vietnamese translation sent by Clytie Siddall
   (Closes: #315801)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 10 Aug 2005 10:45:53 +0200

nessus-plugins (2.2.5-1) unstable; urgency=low

  * New upstream release
  * Use debhelper compatibility version 4 
  * Set myself as sole maintainer, Josip has not contributed to the
    packages in a long time.
  * Remove bashishms from debian maintainer scripts

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  9 Aug 2005 19:06:04 +0200

nessus-plugins (2.2.4-2) unstable; urgency=low

  * Use xargs instead of "rm -f $*" to clean plugins (Closes: #307185)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  2 May 2005 11:43:41 +0200

nessus-plugins (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Added Czech debconf translation by Miroslav Kure (Closes: #298217)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 26 Apr 2005 11:08:50 +0200

nessus-plugins (2.2.3-1) unstable; urgency=high

  * New upstream release 
    (Priority set to high since this new version removes code which
    was not free)
  * This new version includes only the GPL licensed plugins, added
    a debian/NEWS file describing the current situation regarding
    plugin licenses, also updated the debian/copyright file
    (Closes: #291658)
  * Removed Hydra from the distibution (including original sources
    which have been repacked) since Hydra is not really free, see
    bug #258057)
  * Do not move the .desc directory when relocating plugins from
    the old location to the new one (Closes: #281444)
  * Introduce a nessus-update-plugins-gpl (based on nessus-update-plugins
    of previous release) for those that only want to download the latest
    GPL feed and not use nessus-fetch. Since nessus-fetch is provided
    by nessus-core (>= 2.2.3) and we do not want to depend on it.
  * Build-Depend on libpcap0.8-dev | libpcap-dev
  * Adjust scripts/gpl_feed.nasl so that it fits properly on a terminal
    (75 chars per line)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 12 Feb 2005 22:37:40 +0100

nessus-plugins (2.2.0-4) unstable; urgency=low

  * Fix postrm since the /var/lib/nessus/plugins was not properly
    removed on purge if the directory contained downloaded plugin.
    Kept the check for /usr/lib/nessus/plugins just in case.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  9 Dec 2004 11:32:44 +0100

nessus-plugins (2.2.0-3) unstable; urgency=low

  * Added debhelper token to preinst (lintian error)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  5 Dec 2004 20:06:59 +0100

nessus-plugins (2.2.0-2) unstable; urgency=low

  * Fixed preinst so it will work in some special situations (when
    the package is downgraded and then upgraded back again)
  * Fixed nessus-update-plugins so that the pluginsdir check is done
    once the -d option has been parsed (Closes: #280625)
  * Rewrote find_update_plug() in config and postinst with the optimised
    version provided by Gael Queri (Closes: #281291)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 15 Nov 2004 17:19:36 +0100

nessus-plugins (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Updated describe-nessus-plugin to version 2.10 (March 2004)


## nessus-plugins 2.2.8-1.1

=== debian/changelog ===
nessus-plugins (2.2.8-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch added. Closes: #379116

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Feb 2007 19:29:13 +0100

=== debian/control ===
Source: nessus-plugins
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper (>= 4.1.13), libnessus-dev (>= 1.2), nessus-dev (>= 1.2), libgmp3-dev, libz-dev, libpcap0.8-dev | libpcap-dev, nmap, libnet1-dev
Standards-Version: 3.6.1.1

Package: nessus-plugins
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0
Recommends: wget, nessusd (>= 2.2.3), nmap, snmp
Description: Nessus plugins
 The Nessus Security Scanner is a security auditing tool. It makes
 possible to test security modules in an attempt to find vulnerable
 spots that should be fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 nessusd, is in charge of the attacks, whereas the client, nessus,
 provides the user a nice X11/GTK+ interface.
 .
 This package contains Nessus plugins, and scripts to build additional
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
# Derived from dh_make example.

#export DH_VERBOSE=1
export DH_COMPAT=4

tmp := $(CURDIR)/debian/nessus-plugins

CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) 
	# Patch the examples according to our needs
	mkdir -p debian/extra
	cp  extra/update-nessus-plugins debian/extra/
	cp  extra/describe-nessus-plugin debian/extra/
	cd debian/extra && { for diff in ../*-nessus-plugin*.diff ; do \
		patch -p1 <$$diff ; \
	done }
	touch $@

config.status: configure
	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
          --mandir='$${prefix}/share/man' --localstatedir=/var/run \
          --with-fetchcmd=wget  --libdir=/var/lib

clean:
	dh_testdir
	dh_testroot
	touch nessus.tmpl
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -rf debian/extra
	dh_clean build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install prefix=$(tmp)/usr sysconfdir=$(tmp)/etc localstatedir=$(tmp)/var/run libdir=$(tmp)/var/lib
	rm -rf $(tmp)/var/run 

binary-indep:
# Nothing to do, no arch-indep packages here.

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs docs/plugins_api.txt  debian/README.rebuild.Debian
	dh_installexamples template.nasl debian/extra/update-nessus-plugins \
		debian/extra/describe-nessus-plugin
	dh_installchangelogs 
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
	strip --strip-unneeded --remove-section=.comment --remove-section=.note \
          $(tmp)/var/lib/nessus/plugins/*.nes
endif
	dh_compress
	dh_fixperms
	chmod -x $(tmp)/var/lib/nessus/plugins/*.nes
	dh_installdeb
	dpkg-shlibdeps -Tdebian/nessus-plugins.substvars \
          $(tmp)/var/lib/nessus/plugins/*.nes
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## nessus-plugins 2.2.10

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,8 @@
 	test -d $(DESTDIR)${sbindir} || $(INSTALL_DIR) -m 755 $(DESTDIR)${sbindir}
 	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins \
 		$(DESTDIR)${sbindir}
-	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins-gpl \
-		$(DESTDIR)${sbindir}
 	@test -d $(DESTDIR)${mandir}/man8 || $(INSTALL_DIR) $(DESTDIR)${mandir}/man8
 	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins.8 \
-		$(DESTDIR)${mandir}/man8
-	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins-gpl.8 \
 		$(DESTDIR)${mandir}/man8
 
 install-dirs:
@@ -27,7 +23,7 @@
 		$(DESTDIR)${libdir}/nessus/plugins
 	
 install-nasl:	install-dirs
-	for scripts in scripts/*.nasl; do \
+	for scripts in scripts/*.nasl scripts/*.nbin; do \
 	$(INSTALL) -o $(installuser) -m 444 $$scripts \
 		$(DESTDIR)${libdir}/nessus/plugins; \
 	done

=== plugins/nessus_tcp_scanner/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nessus_tcp_scanner

# If you compile this plugin with -DSTATISTICS or -DCOMPUTE_RTT, 
# add -lm after $LIBS

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c 
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) -lm $(LIBUTIL) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o

.PHONY:	standalone

standalone:
	$(CC) $(DEFS) -DSTANDALONE $(include) nessus_tcp_scanner.c -o standalone_tcp_scanner $(LIBS) -lm $(LIBUTIL)

=== plugins/ssl_ciphers/Makefile ===
include ../../nessus.tmpl

PLUGNAME=ssl_ciphers

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o
